
%global meadversion 2.1.28
%global namedversion 2.1.28.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 2

%bcond_without mead

%define maven_version 2.1.28.redhat-3

Name:           glassfish-jsf-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        GlassFish JSF
License:        CDDL
Group:          Development/Java

%if %with mead
Source100: jsf-project-2.1.28.redhat-3-scm-sources.zip
Source102: jsf-impl-2.1.28.redhat-3-javadoc.jar
Source103: jsf-impl-2.1.28.redhat-3.jar
Source104: jsf-impl-2.1.28.redhat-3-sources.jar
Source105: jsf-impl-2.1.28.redhat-3.pom
Source106: jsf-tools-2.1.28.redhat-3-sources.jar
Source107: jsf-tools-2.1.28.redhat-3-javadoc.jar
Source108: jsf-tools-2.1.28.redhat-3.jar
Source109: jsf-tools-2.1.28.redhat-3.pom
Source110: jsf-api-2.1.28.redhat-3-javadoc.jar
Source111: jsf-api-2.1.28.redhat-3-sources.jar
Source112: jsf-api-2.1.28.redhat-3.pom
Source113: jsf-api-2.1.28.redhat-3.jar
Source114: jsf-project-2.1.28.redhat-3.pom
%endif

URL:            https://javaserverfaces.dev.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-jsf-eap6-%{namedversion}-%{release}-root

%description
The JSF 2.0 implementation. NB: We've omitted the classes
 Jetty6InjectionProvider and GlassFishInjectionProvider from the package
com.sun.faces.vendor.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-api.jar
%{_javadir}/%{name}/jsf-api-sources.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-impl.jar
%{_javadir}/%{name}/jsf-impl-sources.jar

%changelog
* Mon May 05 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-2.redhat_3.1
- 2.1.28.redhat-3

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-1.redhat_2.1
- fix wrapper version

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-8.redhat_9.1
- build wrapper only

* Fri Mar 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-7.redhat_9.1
- initial build of 2.1.27.redhat-9

* Wed Feb 12 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-6.redhat_8.1
- submit wrapper build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-5.redhat_7.1
- build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-4.redhat_6.1
- rebuild for latest version

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-3.redhat_4.1
- wrapper build

* Fri Jan 24 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-2.redhat_4.1
- rebuild for javadoc fix

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Fri Oct 25 2013 Permaine Cheung <pcheung@redhat.com> - 2.1.19-2.3.redhat_2
Add sources.jar

* Wed Oct 23 2013 David Walluck <dwalluck@redhat.com> 0:2.1.19-1
- release
